package org.hso.texturesyncclient.view.startupView

import com.jfoenix.controls.JFXButton
import com.jfoenix.controls.JFXSpinner
import com.jfoenix.controls.JFXTextField
import javafx.geometry.Insets
import javafx.geometry.Pos
import javafx.scene.control.Label
import javafx.scene.layout.Background
import javafx.scene.layout.BackgroundFill
import javafx.scene.layout.CornerRadii
import javafx.scene.paint.Color
import tornadofx.*

class StartupView : View() {

    val labelStatus = Label("Verbinden")

    val spinnerStatus = JFXSpinner()

    val labelServerIP = Label("Server-IP")

    val tfServerIP = JFXTextField()

    val btnConnect = JFXButton("Manuell Verbinden")

    override val root = borderpane {

        center = vbox(50) {
            maxWidth = 150.0
            alignment = Pos.CENTER

            add(labelStatus).apply {
                labelStatus.background = Background(BackgroundFill(Color.YELLOWGREEN, CornerRadii.EMPTY, Insets.EMPTY))
            }
            add(spinnerStatus)

            vbox(10){
                alignment = Pos.CENTER

                add(labelServerIP)
                add(tfServerIP)
                add(btnConnect)
            }

        }

        style {
            minWidth = 900.px
            minHeight = 600.px
        }

    }


}